@echo off
setlocal
if "%1"==""  goto usage
if "%1"=="?" goto usage
dfsmkreg    %1 %2 %3 %4 %5
if errorlevel 1 goto end
dfsmkreg -f %1 %2 %3 %4 %5  > nul 2>&1
dfs -Q -w- say Registration checked ...
del dfsee.key               > nul 2>&1
goto end

:usage
echo.
echo %0  email-address  or  full-name
echo.
echo For special registrations, use a postfix string
echo attached to the email address as follows:
echo.
echo     Professional license, postfix:   #P
echo     10-User  std license, postfix:   #10
echo     Upgrade from    4.xx, postfix:   #U
echo.
echo Example:
echo.
echo   %0  jvw@fsys.nl                          standard licence
echo   %0  jvw@fsys.nl#P                        professional license
echo   %0  jvw@fsys.nl#10                       10-user license
echo   %0  jvw@fsys.nl#U                        upgrade from 4.xx
echo.
echo   %0  Jan van Wijk                         standard licence to name
echo   %0  Menso de Jong#P                      professional lic to name
:end
endlocal
echo.
